Bug 842573 - apache-poi - compile with -target 1.5 or greater
apache-poi - compile with -target 1.5 or greater
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: apache-poi (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:17 EDT by Mikolaj Izdebski
Modified: 2013-09-23 06:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 06:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:17:59 EDT
Package apache-poi appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Orion Poplawski 2012-10-16 23:43:02 EDT
It seems to me that source/target are set to 1.5.  Can you give me more details as to what is not being compiled properly?
Comment 2 Fedora End Of Life 2013-04-03 15:55:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Mat Booth 2013-09-23 06:10:30 EDT
I agree with Orion, I could not find any files that were not 1.5 bytecode.

Note You need to log in before you can comment on or make changes to this bug.